searchNodes=[{"doc":"Utilities library for Brazilian Businesses","ref":"BrazilianUtils.html","title":"BrazilianUtils","type":"module"},{"doc":"Get a list of Brazilian cities given a state's UF.Examples Getting cities from Acre:iex&gt; BrazilianUtils.get_cities(&quot;AC&quot;) [&quot;Acrelândia&quot;, &quot;Assis Brasil&quot;, &quot;Brasiléia&quot;, &quot;Bujari&quot;, &quot;Capixaba&quot;, &quot;Cruzeiro do Sul&quot;, &quot;Epitaciolândia&quot;, &quot;Feijó&quot;, &quot;Jordão&quot;, &quot;Manoel Urbano&quot;, &quot;Marechal Thaumaturgo&quot;, &quot;Mâncio Lima&quot;, &quot;Plácido de Castro&quot;, &quot;Porto Acre&quot;, &quot;Porto Walter&quot;, &quot;Rio Branco&quot;, &quot;Rodrigues Alves&quot;, &quot;Santa Rosa do Purus&quot;, &quot;Sena Madureira&quot;, &quot;Senador Guiomard&quot;, &quot;Tarauacá&quot;, &quot;Xapuri&quot;]","ref":"BrazilianUtils.html#get_cities/1","title":"BrazilianUtils.get_cities/1","type":"function"},{"doc":"Get a list with the name and UF of all Brazilian states.Examplesiex&gt; BrazilianUtils.get_states() [ %{code: &quot;AC&quot;, name: &quot;Acre&quot;}, %{code: &quot;AL&quot;, name: &quot;Alagoas&quot;}, %{code: &quot;AM&quot;, name: &quot;Amazonas&quot;}, %{code: &quot;AP&quot;, name: &quot;Amapá&quot;}, %{code: &quot;BA&quot;, name: &quot;Bahia&quot;}, %{code: &quot;CE&quot;, name: &quot;Ceará&quot;}, %{code: &quot;DF&quot;, name: &quot;Distrito Federal&quot;}, %{code: &quot;ES&quot;, name: &quot;Espírito Santo&quot;}, %{code: &quot;GO&quot;, name: &quot;Goiás&quot;}, %{code: &quot;MA&quot;, name: &quot;Maranhão&quot;}, %{code: &quot;MG&quot;, name: &quot;Minas Gerais&quot;}, %{code: &quot;MS&quot;, name: &quot;Mato Grosso do Sul&quot;}, %{code: &quot;MT&quot;, name: &quot;Mato Grosso&quot;}, %{code: &quot;PA&quot;, name: &quot;Pará&quot;}, %{code: &quot;PB&quot;, name: &quot;Paraíba&quot;}, %{code: &quot;PE&quot;, name: &quot;Pernambuco&quot;}, %{code: &quot;PI&quot;, name: &quot;Piauí&quot;}, %{code: &quot;PR&quot;, name: &quot;Paraná&quot;}, %{code: &quot;RJ&quot;, name: &quot;Rio de Janeiro&quot;}, %{code: &quot;RN&quot;, name: &quot;Rio Grande do Norte&quot;}, %{code: &quot;RO&quot;, name: &quot;Rondônia&quot;}, %{code: &quot;RR&quot;, name: &quot;Roraima&quot;}, %{code: &quot;RS&quot;, name: &quot;Rio Grande do Sul&quot;}, %{code: &quot;SC&quot;, name: &quot;Santa Catarina&quot;}, %{code: &quot;SE&quot;, name: &quot;Sergipe&quot;}, %{code: &quot;SP&quot;, name: &quot;São Paulo&quot;}, %{code: &quot;TO&quot;, name: &quot;Tocantins&quot;} ]","ref":"BrazilianUtils.html#get_states/0","title":"BrazilianUtils.get_states/0","type":"function"},{"doc":"Check if a given string or number is a valid CEP.Examplesiex&gt; BrazilianUtils.is_valid_cep?(&quot;77064-620&quot;) true iex&gt; BrazilianUtils.is_valid_cep?(59014590) true iex&gt; BrazilianUtils.is_valid_cep?(&quot;12345-6789&quot;) false iex&gt; BrazilianUtils.is_valid_cep?(1234) false","ref":"BrazilianUtils.html#is_valid_cep?/1","title":"BrazilianUtils.is_valid_cep?/1","type":"function"},{"doc":"Check if a given string is a valid CPF.Examplesiex&gt; BrazilianUtils.is_valid_cpf?(&quot;658.563.984-75&quot;) true iex&gt; BrazilianUtils.is_valid_cpf?(&quot;65856398475&quot;) true iex&gt; BrazilianUtils.is_valid_cpf?(&quot;123.456.789-10&quot;) false iex&gt; BrazilianUtils.is_valid_cpf?(&quot;658.563.984-00&quot;) false iex&gt; BrazilianUtils.is_valid_cpf?(&quot;65856398400&quot;) false","ref":"BrazilianUtils.html#is_valid_cpf?/1","title":"BrazilianUtils.is_valid_cpf?/1","type":"function"},{"doc":"Check if a given string is a valid brazilian landline number.Examplesiex&gt; BrazilianUtils.is_valid_landline?(&quot;(11) 3000-0000&quot;) true iex&gt; BrazilianUtils.is_valid_landline?(&quot;11 3 0000-0000&quot;) true iex&gt; BrazilianUtils.is_valid_landline?(&quot;1130000000&quot;) true iex&gt; BrazilianUtils.is_valid_landline?(&quot;00 3000 0000&quot;) false iex&gt; BrazilianUtils.is_valid_landline?(&quot;11 9 0000 0000&quot;) false iex&gt; BrazilianUtils.is_valid_landline?(&quot;1234&quot;) false","ref":"BrazilianUtils.html#is_valid_landline?/1","title":"BrazilianUtils.is_valid_landline?/1","type":"function"},{"doc":"Check if a given string is a valid brazilian mobile number.Examplesiex&gt; BrazilianUtils.is_valid_mobile?(&quot;(11) 9 0000-0000&quot;) true iex&gt; BrazilianUtils.is_valid_mobile?(&quot;11 9 0000 0000&quot;) true iex&gt; BrazilianUtils.is_valid_mobile?(&quot;11900000000&quot;) true iex&gt; BrazilianUtils.is_valid_mobile?(&quot;00 9 0000 0000&quot;) false iex&gt; BrazilianUtils.is_valid_mobile?(&quot;11 1 0000 0000&quot;) false iex&gt; BrazilianUtils.is_valid_mobile?(&quot;1234&quot;) false","ref":"BrazilianUtils.html#is_valid_mobile?/1","title":"BrazilianUtils.is_valid_mobile?/1","type":"function"},{"doc":"Check if a given string is a valid brazilian mobile or landline number.Examplesiex&gt; BrazilianUtils.is_valid_phone?(&quot;(11) 9 0000-0000&quot;) true iex&gt; BrazilianUtils.is_valid_phone?(&quot;11 9 0000 0000&quot;) true iex&gt; BrazilianUtils.is_valid_phone?(&quot;11 3000 0000&quot;) true iex&gt; BrazilianUtils.is_valid_phone?(&quot;00 9 0000 0000&quot;) false iex&gt; BrazilianUtils.is_valid_phone?(&quot;12345&quot;) false","ref":"BrazilianUtils.html#is_valid_phone?/1","title":"BrazilianUtils.is_valid_phone?/1","type":"function"},{"doc":"BrazilianUtilsUtilities library for Brazilian Businesses based on brazilian-utils/brazilian-utils","ref":"readme.html","title":"BrazilianUtils","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding brazilian_utils to your list of dependencies in mix.exs:def deps do [ {:brazilian_utils, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/brazilian_utils.","ref":"readme.html#installation","title":"BrazilianUtils - Installation","type":"extras"},{"doc":"[x] is_valid_cpf[ ] format_cpf[ ] is_valid_cnpj[ ] format_cnpj[x] is_valid_cep[ ] is_valid_boleto[x] is_valid_phone[x] is_valid_mobile_phone[x] is_valid_landline_phone[ ] is_valid_pis[ ] format_cep[ ] is_valid_ie[x] get_states[x] get_cities","ref":"readme.html#todo","title":"BrazilianUtils - TODO","type":"extras"},{"doc":"MIT","ref":"readme.html#license","title":"BrazilianUtils - LICENSE","type":"extras"}]